datacache <- new.env(hash=TRUE, parent=emptyenv())

mogene11stprobeset <- function() showQCData("mogene11stprobeset", datacache)
mogene11stprobeset_dbconn <- function() dbconn(datacache)
mogene11stprobeset_dbfile <- function() dbfile(datacache)
mogene11stprobeset_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mogene11stprobeset_dbInfo <- function() dbInfo(datacache)

mogene11stprobesetORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mogene11stprobeset.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "mogene11stprobeset", "chip mogene11stprobeset", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)

    packageStartupMessage(AnnotationDbi:::annoStartupMessages("exon_probeset"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mogene11stprobeset_dbconn())
}

